Bug 167857 - Minor bind spec file bug
Minor bind spec file bug
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-08 17:35 EDT by David Smith
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 22:13:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Smith 2005-09-08 17:35:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
There is a minor bug in the bind spec file.  Instead of specifying 'gcc' directly, the spec file should use '%{__cc}'.  I've added a patch to fix the problem in "Steps to Reproduce" section below.

Version-Release number of selected component (if applicable):
bind-9.3.1-10_FC4

How reproducible:
Always

Steps to Reproduce:
--- bind.spec.orig      2005-09-08 21:35:30.000000000 +0000
+++ bind.spec   2005-09-08 21:35:42.000000000 +0000
@@ -292,7 +292,7 @@
         secret "@KEY@";
 };
 __EOF
-gcc $RPM_OPT_FLAGS -o $RPM_BUILD_ROOT/usr/sbin/dns-keygen %{SOURCE4}
+%{__cc} $RPM_OPT_FLAGS -o $RPM_BUILD_ROOT/usr/sbin/dns-keygen %{SOURCE4}
 mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
 cp %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/named
 #mv $RPM_BUILD_ROOT/usr/share/man/man8/named.conf.* $RPM_BUILD_ROOT/usr/share/\man/man5

  

Additional info:
Comment 1 Jason Vas Dias 2005-09-27 14:35:35 EDT
This bug is fixed with bind-9.3.1-12+ .
Comment 2 Bill Nottingham 2006-09-21 22:13:10 EDT
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.

Note You need to log in before you can comment on or make changes to this bug.